## com.google.apphosting.api
Class ApiProxy.ApiConfig

    java.lang.Object
      com.google.apphosting.api.ApiProxy.ApiConfig

Enclosing class:
  ApiProxy

    public static final class ApiProxy.ApiConfig

extends java.lang.Object

`ApiConfig` encapsulates one or more configuration parameters scoped to an individual API call.

Constructor Summary
`ApiProxy.ApiConfig()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Double` `getDeadlineInSeconds()` Returns the number of seconds that the API call will be allowed to run, or `null` for the default deadline.
`int` `hashCode()`
`void` `setDeadlineInSeconds(java.lang.Double deadlineInSeconds)` Set the number of seconds that the API call will be allowed to run, or `null` for the default deadline.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApiProxy.ApiConfig

    public ApiProxy.ApiConfig()

Method Detail

### getDeadlineInSeconds

    public java.lang.Double getDeadlineInSeconds()

  Returns the number of seconds that the API call will be allowed to run, or `null` for the default deadline.

### setDeadlineInSeconds

    public void setDeadlineInSeconds(java.lang.Double deadlineInSeconds)

  Set the number of seconds that the API call will be allowed to run, or `null` for the default deadline.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`